{-# LANGUAGE DerivingStrategies #-}
module Language.Brainfuck.Instruction (Instruction(..)) where

import Data.Vector ( Vector )

data Instruction
  = Increment
  | Decrement
  | MoveLeft
  | MoveRight
  | ReadByte
  | PutByte
  | Loop (Vector Instruction)
  deriving stock (Show, Eq)
